Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_thermcell_flux2.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_thermcell_flux2.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_thermcell_flux2.F90	(revision 5116)
@@ -70,12 +70,12 @@
     fm(:, :) = 0.
 
-    if (prt_level>=10) then
-      write(lunout1, *) 'Dans thermcell_flux 0'
-      write(lunout1, *) 'flux base ', f(igout)
-      write(lunout1, *) 'lmax ', lmax(igout)
-      write(lunout1, *) 'lalim ', lalim(igout)
-      write(lunout1, *) 'ig= ', igout
-      write(lunout1, *) ' l E*    A*     D*  '
-      write(lunout1, '(i4,3e15.5)') (l, entr_star(igout, l), alim_star(igout, l), detr_star(igout, l) &
+    if (prt_level>=10) THEN
+      WRITE(lunout1, *) 'Dans thermcell_flux 0'
+      WRITE(lunout1, *) 'flux base ', f(igout)
+      WRITE(lunout1, *) 'lmax ', lmax(igout)
+      WRITE(lunout1, *) 'lalim ', lalim(igout)
+      WRITE(lunout1, *) 'ig= ', igout
+      WRITE(lunout1, *) ' l E*    A*     D*  '
+      WRITE(lunout1, '(i4,3e15.5)') (l, entr_star(igout, l), alim_star(igout, l), detr_star(igout, l) &
               , l = 1, lmax(igout))
     endif
@@ -90,9 +90,9 @@
     check_debug = .false..or.prt_level>=10
 
-    if (check_debug) then
+    if (check_debug) THEN
       do l = 1, nlay
         do ig = 1, ngrid
-          if (l<=lmax(ig)) then
-            if (entr_star(ig, l)>1.) then
+          if (l<=lmax(ig)) THEN
+            if (entr_star(ig, l)>1.) THEN
               PRINT*, 'WARNING thermcell_flux 1 ig,l,lmax(ig)', ig, l, lmax(ig)
               PRINT*, 'entr_star(ig,l)', entr_star(ig, l)
@@ -101,5 +101,5 @@
             endif
           else
-            if (abs(entr_star(ig, l)) + abs(alim_star(ig, l)) + abs(detr_star(ig, l))>0.) then
+            if (abs(entr_star(ig, l)) + abs(alim_star(ig, l)) + abs(detr_star(ig, l))>0.) THEN
               PRINT*, 'cas 1 : ig,l,lmax(ig)', ig, l, lmax(ig)
               PRINT*, 'entr_star(ig,l)', entr_star(ig, l)
@@ -124,12 +124,12 @@
     enddo
 
-    if (prt_level>=10) then
-      write(lunout1, *) 'Dans thermcell_flux 1'
-      write(lunout1, *) 'flux base ', f(igout)
-      write(lunout1, *) 'lmax ', lmax(igout)
-      write(lunout1, *) 'lalim ', lalim(igout)
-      write(lunout1, *) 'ig= ', igout
-      write(lunout1, *) ' l   E    D     W2'
-      write(lunout1, '(i4,3e15.5)') (l, entr(igout, l), detr(igout, l) &
+    if (prt_level>=10) THEN
+      WRITE(lunout1, *) 'Dans thermcell_flux 1'
+      WRITE(lunout1, *) 'flux base ', f(igout)
+      WRITE(lunout1, *) 'lmax ', lmax(igout)
+      WRITE(lunout1, *) 'lalim ', lalim(igout)
+      WRITE(lunout1, *) 'ig= ', igout
+      WRITE(lunout1, *) ' l   E    D     W2'
+      WRITE(lunout1, '(i4,3e15.5)') (l, entr(igout, l), detr(igout, l) &
               , zw2(igout, l + 1), l = 1, lmax(igout))
     endif
@@ -138,7 +138,7 @@
     do l = 1, nlay
       do ig = 1, ngrid
-        if (l<lmax(ig)) then
+        if (l<lmax(ig)) THEN
           fm(ig, l + 1) = fm(ig, l) + entr(ig, l) - detr(ig, l)
-        elseif(l==lmax(ig)) then
+        elseif(l==lmax(ig)) THEN
           fm(ig, l + 1) = 0.
           detr(ig, l) = fm(ig, l) + entr(ig, l)
@@ -157,5 +157,5 @@
     do l = 1, nlay
       do ig = 1, ngrid
-        if (detr(ig, l)>fm(ig, l)) then
+        if (detr(ig, l)>fm(ig, l)) THEN
           ncorecfm8 = ncorecfm8 + 1
           !              igout=ig
@@ -182,7 +182,7 @@
 
       do ig = 1, ngrid
-        if (l<lmax(ig)) then
+        if (l<lmax(ig)) THEN
           fm(ig, l + 1) = fm(ig, l) + entr(ig, l) - detr(ig, l)
-        elseif(l==lmax(ig)) then
+        elseif(l==lmax(ig)) THEN
           fm(ig, l + 1) = 0.
           detr(ig, l) = fm(ig, l) + entr(ig, l)
@@ -199,5 +199,5 @@
       !     do l=1,nlay
       do ig = 1, ngrid
-        if (fm(ig, l + 1)<0.) then
+        if (fm(ig, l + 1)<0.) THEN
           !              PRINT*,'fm1<0',l+1,lmax(ig),fm(ig,l+1)
           ncorecfm1 = ncorecfm1 + 1
@@ -209,5 +209,5 @@
 
       if (prt_level>=10) &
-              write(lunout1, '(i4,4e14.4)') l, masse(igout, l) / ptimestep, &
+              WRITE(lunout1, '(i4,4e14.4)') l, masse(igout, l) / ptimestep, &
                       entr(igout, l), detr(igout, l), fm(igout, l + 1)
 
@@ -215,13 +215,13 @@
       !Test sur fraca croissant
       !-------------------------------------------------------------------------
-      if (iflag_thermals_optflux==0) then
+      if (iflag_thermals_optflux==0) THEN
         !     do l=1,nlay
         do ig = 1, ngrid
           if (l>=lalim(ig).and.l<=lmax(ig) &
-                  .and.(zw2(ig, l + 1)>1.e-10).and.(zw2(ig, l)>1.e-10)) then
+                  .and.(zw2(ig, l + 1)>1.e-10).and.(zw2(ig, l)>1.e-10)) THEN
             !  zzz est le flux en l+1 a frac constant
             zzz = fm(ig, l) * rhobarz(ig, l + 1) * zw2(ig, l + 1)  &
                     / (rhobarz(ig, l) * zw2(ig, l))
-            if (fm(ig, l + 1)>zzz) then
+            if (fm(ig, l + 1)>zzz) THEN
               detr(ig, l) = detr(ig, l) + fm(ig, l + 1) - zzz
               fm(ig, l + 1) = zzz
@@ -234,5 +234,5 @@
 
       if (prt_level>=10) &
-              write(lunout1, '(i4,4e14.4)') l, masse(igout, l) / ptimestep, &
+              WRITE(lunout1, '(i4,4e14.4)') l, masse(igout, l) / ptimestep, &
                       entr(igout, l), detr(igout, l), fm(igout, l + 1)
 
@@ -241,8 +241,8 @@
       !test sur flux de masse croissant
       !-------------------------------------------------------------------------
-      if (iflag_thermals_optflux==0) then
+      if (iflag_thermals_optflux==0) THEN
         !     do l=1,nlay
         do ig = 1, ngrid
-          if ((fm(ig, l + 1)>fm(ig, l)).and.(l>lalim(ig))) then
+          if ((fm(ig, l + 1)>fm(ig, l)).and.(l>lalim(ig))) THEN
             f_old = fm(ig, l + 1)
             fm(ig, l + 1) = fm(ig, l)
@@ -255,5 +255,5 @@
 
       if (prt_level>=10) &
-              write(lunout1, '(i4,4e14.4)') l, masse(igout, l) / ptimestep, &
+              WRITE(lunout1, '(i4,4e14.4)') l, masse(igout, l) / ptimestep, &
                       entr(igout, l), detr(igout, l), fm(igout, l + 1)
 
@@ -263,11 +263,10 @@
       !-------------------------------------------------------------------------
 
-      if(1==1) then
-
+      IF(1==1) THEN
         !     do l=1,nlay
 
         labort_physic = .FALSE.
         do ig = 1, ngrid
-          if (entr(ig, l)<0.) then
+          if (entr(ig, l)<0.) THEN
             labort_physic = .TRUE.
             igout = ig
@@ -276,5 +275,5 @@
         enddo
 
-        if (labort_physic) then
+        if (labort_physic) THEN
           PRINT*, 'N1 ig,l,entr', igout, lout, entr(igout, lout)
           abort_message = 'entr negatif'
@@ -283,5 +282,5 @@
 
         do ig = 1, ngrid
-          if (detr(ig, l)>fm(ig, l)) then
+          if (detr(ig, l)>fm(ig, l)) THEN
             ncorecfm6 = ncorecfm6 + 1
             detr(ig, l) = fm(ig, l)
@@ -291,5 +290,5 @@
             ! detrainement est plus fort que le flux de masse, on stope le thermique.
             !test:on commente
-            !               if (l.gt.lalim(ig)) then
+            !               if (l.gt.lalim(ig)) THEN
             !                  lmax(ig)=l
             !                  fm(ig,l+1)=0.
@@ -300,5 +299,5 @@
           endif
 
-          if(l>lmax(ig)) then
+          IF(l>lmax(ig)) THEN
             detr(ig, l) = 0.
             fm(ig, l + 1) = 0.
@@ -309,10 +308,10 @@
         labort_physic = .FALSE.
         do ig = 1, ngrid
-          if (entr(ig, l)<0.) then
+          if (entr(ig, l)<0.) THEN
             labort_physic = .TRUE.
             igout = ig
           endif
         enddo
-        if (labort_physic) then
+        if (labort_physic) THEN
           ig = igout
           PRINT*, 'ig,l,lmax(ig)', ig, l, lmax(ig)
@@ -328,5 +327,5 @@
 
       if (prt_level>=10) &
-              write(lunout1, '(i4,4e14.4)') l, masse(igout, l) / ptimestep, &
+              WRITE(lunout1, '(i4,4e14.4)') l, masse(igout, l) / ptimestep, &
                       entr(igout, l), detr(igout, l), fm(igout, l + 1)
 
@@ -337,5 +336,5 @@
       !     do l=1,nlay
       do ig = 1, ngrid
-        if (fm(ig, l + 1)<0.) then
+        if (fm(ig, l + 1)<0.) THEN
           detr(ig, l) = detr(ig, l) + fm(ig, l + 1)
           fm(ig, l + 1) = 0.
@@ -346,10 +345,10 @@
       labort_physic = .FALSE.
       do ig = 1, ngrid
-        if (detr(ig, l)<0.) then
+        if (detr(ig, l)<0.) THEN
           labort_physic = .TRUE.
           igout = ig
         endif
       enddo
-      if (labort_physic) then
+      if (labort_physic) THEN
         ig = igout
         PRINT*, 'cas 2 : ig,l,lmax(ig)', ig, l, lmax(ig)
@@ -362,5 +361,5 @@
 
       if (prt_level>=10) &
-              write(lunout1, '(i4,4e14.4)') l, masse(igout, l) / ptimestep, &
+              WRITE(lunout1, '(i4,4e14.4)') l, masse(igout, l) / ptimestep, &
                       entr(igout, l), detr(igout, l), fm(igout, l + 1)
 
@@ -386,7 +385,7 @@
       !    do l=1,nlay
       do ig = 1, ngrid
-        if (zw2(ig, l + 1)>1.e-10) then
+        if (zw2(ig, l + 1)>1.e-10) THEN
           zfm = rhobarz(ig, l + 1) * zw2(ig, l + 1) * alphamax
-          if (fm(ig, l + 1) > zfm) then
+          if (fm(ig, l + 1) > zfm) THEN
             f_old = fm(ig, l + 1)
             fm(ig, l + 1) = zfm
@@ -402,5 +401,5 @@
 
       if (prt_level>=10) &
-              write(lunout1, '(i4,4e14.4)') l, masse(igout, l) / ptimestep, &
+              WRITE(lunout1, '(i4,4e14.4)') l, masse(igout, l) / ptimestep, &
                       entr(igout, l), detr(igout, l), fm(igout, l + 1)
 
@@ -418,5 +417,5 @@
     !-----------------------------------------------------------------------
 
-    if (1==1) then
+    if (1==1) THEN
       labort_physic = .FALSE.
       do l = 1, nlay - 1
@@ -426,8 +425,8 @@
           eee = entr(ig, l) - masse(ig, l) * fomass_max / ptimestep
           ddd = detr(ig, l) - eee
-          if (eee>0.) then
+          if (eee>0.) THEN
             ncorecfm3 = ncorecfm3 + 1
             entr(ig, l) = entr(ig, l) - eee
-            if (ddd>0.) then
+            if (ddd>0.) THEN
               !   l'entrainement est trop fort mais l'exces peut etre compense par une
               !   diminution du detrainement)
@@ -436,8 +435,8 @@
               !   l'entrainement est trop fort mais l'exces doit etre compense en partie
               !   par un entrainement plus fort dans la couche superieure
-              if(l==lmax(ig)) then
+              IF(l==lmax(ig)) THEN
                 detr(ig, l) = fm(ig, l) + entr(ig, l)
               else
-                if(l>=lmax(ig).and.0==1) then
+                IF(l>=lmax(ig).and.0==1) THEN
                   igout = ig
                   lout = l
@@ -453,5 +452,5 @@
         enddo
       enddo
-      if (labort_physic) then
+      if (labort_physic) THEN
         ig = igout
         l = lout
@@ -488,6 +487,5 @@
 
     !IM 090508 beg
-    !     if (ncorecfm1+ncorecfm2+ncorecfm3+ncorecfm4+ncorecfm5+ncorecalpha > 0 ) then
-
+    !     if (ncorecfm1+ncorecfm2+ncorecfm3+ncorecfm4+ncorecfm5+ncorecalpha > 0 ) THEN
     !         PRINT*,'PB thermcell : on a du coriger ',ncorecfm1,'x fm1',&
     !   &     ncorecfm2,'x fm2',ncorecfm3,'x fm3 et', &
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_thermcell_height.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_thermcell_height.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_thermcell_height.F90	(revision 5116)
@@ -33,5 +33,5 @@
       do ig=1,ngrid
          do l=nlay,lalim(ig)+1,-1
-            if (zw2(ig,l)<=1.e-10) then
+            if (zw2(ig,l)<=1.e-10) THEN
                lmax(ig)=l-1
             endif
@@ -42,5 +42,5 @@
 ! atteind le haut du modele ...
       do ig=1,ngrid
-      if ( zw2(ig,nlay) > 1.e-10 ) then
+      if ( zw2(ig,nlay) > 1.e-10 ) THEN
           PRINT*,'WARNING !!!!! W2 thermiques non nul derniere couche '
           lmax(ig)=nlay
@@ -50,5 +50,5 @@
 ! pas de thermique si couche 1 stable
       do ig=1,ngrid
-         if (lmin(ig)>1) then
+         if (lmin(ig)>1) THEN
              lmax(ig)=1
              lmin(ig)=1
@@ -64,6 +64,6 @@
       do l=1,nlay
          do ig=1,ngrid
-            if (l<=lmax(ig)) then
-                if (zw2(ig,l)<0.)then
+            if (l<=lmax(ig)) THEN
+                if (zw2(ig,l)<0.)THEN
                   PRINT*,'pb2 zw2<0'
                 endif
@@ -82,6 +82,6 @@
       enddo
 
-!     if (iflag_thermals_ed.ge.1) then
-      if (1==0) then
+!     if (iflag_thermals_ed.ge.1) THEN
+      if (1==0) THEN
 !CR:date de quand le calcul du zmax continu etait buggue 
          num(:)=0.
@@ -94,5 +94,5 @@
        enddo
        do ig=1,ngrid
-       if (denom(ig)>1.e-10) then
+       if (denom(ig)>1.e-10) THEN
           zmax(ig)=2.*num(ig)/denom(ig)
           zmax0(ig)=zmax(ig)
@@ -128,5 +128,5 @@
 ! def de  zmix continu (profil parabolique des vitesses)
       do ig=1,ngrid
-           if (lmix(ig)>1) then
+           if (lmix(ig)>1) THEN
 ! test 
               if (((zw2(ig,lmix(ig)-1)-zw2(ig,lmix(ig)))  &
@@ -134,6 +134,5 @@
           -(zw2(ig,lmix(ig))-zw2(ig,lmix(ig)+1))  &
           *((zlev(ig,lmix(ig)-1))-(zlev(ig,lmix(ig)))))>1e-10)  &
-          then
-
+          THEN
             zmix(ig)=((zw2(ig,lmix(ig)-1)-zw2(ig,lmix(ig)))  &
           *((zlev(ig,lmix(ig)))**2-(zlev(ig,lmix(ig)+1))**2)  &
@@ -152,5 +151,5 @@
           endif
 !test
-         if ((zmax(ig)-zmix(ig))<=0.) then
+         if ((zmax(ig)-zmix(ig))<=0.) THEN
             zmix(ig)=0.9*zmax(ig)
 !            PRINT*,'pb zmix>zmax'
@@ -162,5 +161,5 @@
          do l=1,nlay
             if (zmix(ig)>=zlev(ig,l).and.  &
-            zmix(ig)<zlev(ig,l+1)) then
+            zmix(ig)<zlev(ig,l+1)) THEN
               lmix(ig)=l
              endif
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_thermcell_ini.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_thermcell_ini.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_thermcell_ini.F90	(revision 5116)
@@ -56,5 +56,5 @@
 
 PRINT*,'thermcell_ini'
-      if (iflag_thermals==15.or.iflag_thermals==16) then
+      if (iflag_thermals==15.or.iflag_thermals==16) THEN
          dvdq=0
          dqimpl=-1
@@ -101,34 +101,34 @@
 
 
-write(lunout,*) 'thermcell_ini ,prt_level                =',  prt_level                   
-write(lunout,*) 'thermcell_ini ,RG                       =',  RG                      
-write(lunout,*) 'thermcell_ini ,RD                       =',  RD                       
-write(lunout,*) 'thermcell_ini ,RCPD                     =',  RCPD                    
-write(lunout,*) 'thermcell_ini ,RKAPPA                   =',  RKAPPA                  
-write(lunout,*) 'thermcell_ini ,RLVTT                    =',  RLVTT                   
-write(lunout,*) 'thermcell_ini ,RLvCp                    =',  RLvCp                   
-write(lunout,*) 'thermcell_ini ,RETV                     =',  RETV                    
-write(lunout,*) 'thermcell_ini ,tau_thermals             =',  tau_thermals            
-write(lunout,*) 'thermcell_ini ,lunout                   =',  lunout                  
-write(lunout,*) 'thermcell_ini ,r_aspect_thermals        =',  r_aspect_thermals       
-write(lunout,*) 'thermcell_ini ,tau_thermals             =',  tau_thermals            
-write(lunout,*) 'thermcell_ini ,fact_thermals_ed_dz      =',  fact_thermals_ed_dz
-write(lunout,*) 'thermcell_ini ,fact_thermals_ed_dz      =',  fact_thermals_ed_dz
-write(lunout,*) 'thermcell_ini ,iflag_thermals_ed        =',  iflag_thermals_ed       
-write(lunout,*) 'thermcell_ini ,iflag_thermals_optflux   =',  iflag_thermals_optflux
-write(lunout,*) 'thermcell_ini ,iflag_thermals_closure   =',  iflag_thermals_closure
-write(lunout,*) 'thermcell_ini ,iflag_thermals_down      =',  iflag_thermals_down
-write(lunout,*) 'thermcell_ini ,fact_thermals_down       =',  fact_thermals_down
-write(lunout,*) 'thermcell_ini ,fact_epsilon             =',  fact_epsilon            
-write(lunout,*) 'thermcell_ini ,betalpha                 =',  betalpha                
-write(lunout,*) 'thermcell_ini ,afact                    =',  afact                   
-write(lunout,*) 'thermcell_ini ,fact_shell               =',  fact_shell              
-write(lunout,*) 'thermcell_ini ,detr_min                 =',  detr_min                
-write(lunout,*) 'thermcell_ini ,entr_min                 =',  entr_min                
-write(lunout,*) 'thermcell_ini ,detr_q_coef              =',  detr_q_coef             
-write(lunout,*) 'thermcell_ini ,detr_q_power             =',  detr_q_power            
-write(lunout,*) 'thermcell_ini ,mix0                     =',  mix0                    
-write(lunout,*) 'thermcell_ini ,thermals_flag_alim       =',  thermals_flag_alim
-write(lunout,*) 'thermcell_ini ,iflag_thermals_tenv      =',  iflag_thermals_tenv
+WRITE(lunout,*) 'thermcell_ini ,prt_level                =',  prt_level
+WRITE(lunout,*) 'thermcell_ini ,RG                       =',  RG
+WRITE(lunout,*) 'thermcell_ini ,RD                       =',  RD
+WRITE(lunout,*) 'thermcell_ini ,RCPD                     =',  RCPD
+WRITE(lunout,*) 'thermcell_ini ,RKAPPA                   =',  RKAPPA
+WRITE(lunout,*) 'thermcell_ini ,RLVTT                    =',  RLVTT
+WRITE(lunout,*) 'thermcell_ini ,RLvCp                    =',  RLvCp
+WRITE(lunout,*) 'thermcell_ini ,RETV                     =',  RETV
+WRITE(lunout,*) 'thermcell_ini ,tau_thermals             =',  tau_thermals
+WRITE(lunout,*) 'thermcell_ini ,lunout                   =',  lunout
+WRITE(lunout,*) 'thermcell_ini ,r_aspect_thermals        =',  r_aspect_thermals
+WRITE(lunout,*) 'thermcell_ini ,tau_thermals             =',  tau_thermals
+WRITE(lunout,*) 'thermcell_ini ,fact_thermals_ed_dz      =',  fact_thermals_ed_dz
+WRITE(lunout,*) 'thermcell_ini ,fact_thermals_ed_dz      =',  fact_thermals_ed_dz
+WRITE(lunout,*) 'thermcell_ini ,iflag_thermals_ed        =',  iflag_thermals_ed
+WRITE(lunout,*) 'thermcell_ini ,iflag_thermals_optflux   =',  iflag_thermals_optflux
+WRITE(lunout,*) 'thermcell_ini ,iflag_thermals_closure   =',  iflag_thermals_closure
+WRITE(lunout,*) 'thermcell_ini ,iflag_thermals_down      =',  iflag_thermals_down
+WRITE(lunout,*) 'thermcell_ini ,fact_thermals_down       =',  fact_thermals_down
+WRITE(lunout,*) 'thermcell_ini ,fact_epsilon             =',  fact_epsilon
+WRITE(lunout,*) 'thermcell_ini ,betalpha                 =',  betalpha
+WRITE(lunout,*) 'thermcell_ini ,afact                    =',  afact
+WRITE(lunout,*) 'thermcell_ini ,fact_shell               =',  fact_shell
+WRITE(lunout,*) 'thermcell_ini ,detr_min                 =',  detr_min
+WRITE(lunout,*) 'thermcell_ini ,entr_min                 =',  entr_min
+WRITE(lunout,*) 'thermcell_ini ,detr_q_coef              =',  detr_q_coef
+WRITE(lunout,*) 'thermcell_ini ,detr_q_power             =',  detr_q_power
+WRITE(lunout,*) 'thermcell_ini ,mix0                     =',  mix0
+WRITE(lunout,*) 'thermcell_ini ,thermals_flag_alim       =',  thermals_flag_alim
+WRITE(lunout,*) 'thermcell_ini ,iflag_thermals_tenv      =',  iflag_thermals_tenv
 
 
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_thermcell_main.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_thermcell_main.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_thermcell_main.F90	(revision 5116)
@@ -197,5 +197,5 @@
 
     !PRINT*,'thermcell_main debut'
-    !     write(lunout,*)'WARNING thermcell_main f0=max(f0,1.e-2)'
+    !     WRITE(lunout,*)'WARNING thermcell_main f0=max(f0,1.e-2)'
     do ig = 1, ngrid
       f0(ig) = max(f0(ig), 1.e-2)
@@ -204,5 +204,5 @@
     enddo
 
-    if (prt_level>=20) then
+    if (prt_level>=20) THEN
       do ig = 1, ngrid
         PRINT*, 'th_main ig f0', ig, f0(ig)
@@ -223,6 +223,5 @@
     ! avec le theta_v effectif de l'environnement.
 
-    if (iflag_thermals_tenv - 10 * (iflag_thermals_tenv / 10) == 0) then
-
+    if (iflag_thermals_tenv - 10 * (iflag_thermals_tenv / 10) == 0) THEN
       CALL thermcell_env(ngrid, nlay, p_o, ptemp_env, puwind, pvwind, pplay, &
               pplev, z_o, ztemp_env, zl, ztv, zthl, zu, zv, zpspsk, zqsat, lcong, lintercong, lev_out)
@@ -315,5 +314,5 @@
 
     rho(:, :) = pplay(:, :) / (zpspsk(:, :) * RD * ztv(:, :))
-    if (prt_level>=10) write(lunout, *) 'WARNING thermcell_main rhobarz(:,1)=rho(:,1)'
+    if (prt_level>=10) WRITE(lunout, *) 'WARNING thermcell_main rhobarz(:,1)=rho(:,1)'
     rhobarz(:, 1) = rho(:, 1)
     do l = 2, nlay
@@ -412,5 +411,5 @@
     !=====================================================================
 
-    if (iflag_thermals_ed<=9) then
+    if (iflag_thermals_ed<=9) THEN
       !         PRINT*,'THERM NOUVELLE/NOUVELLE Arnaud'
       CALL thermcell_plume_6A(itap, ngrid, nlay, ptimestep, ztv, zthl, p_o, zl, rhobarz, &
@@ -420,5 +419,5 @@
               , lev_out, lunout1, igout)
 
-    elseif (iflag_thermals_ed<=19) then
+    elseif (iflag_thermals_ed<=19) THEN
       !        PRINT*,'THERM RIO et al 2010, version d Arnaud'
       CALL thermcell_plume_5B(itap, ngrid, nlay, ptimestep, ztv, zthl, p_o, zl, rhobarz, &
@@ -441,10 +440,10 @@
 
     if (prt_level>=1) PRINT*, 'thermcell_main apres thermcell_plume'
-    if (prt_level>=10) then
-      write(lunout1, *) 'Dans thermcell_main 2'
-      write(lunout1, *) 'lmin ', lmin(igout)
-      write(lunout1, *) 'lalim ', lalim(igout)
-      write(lunout1, *) ' ig l alim_star entr_star detr_star f_star '
-      write(lunout1, '(i6,i4,4e15.5)') (igout, l, alim_star(igout, l), entr_star(igout, l), detr_star(igout, l) &
+    if (prt_level>=10) THEN
+      WRITE(lunout1, *) 'Dans thermcell_main 2'
+      WRITE(lunout1, *) 'lmin ', lmin(igout)
+      WRITE(lunout1, *) 'lalim ', lalim(igout)
+      WRITE(lunout1, *) ' ig l alim_star entr_star detr_star f_star '
+      WRITE(lunout1, '(i6,i4,4e15.5)') (igout, l, alim_star(igout, l), entr_star(igout, l), detr_star(igout, l) &
               , f_star(igout, l + 1), l = 1, nint(linter(igout)) + 5)
     endif
@@ -482,10 +481,10 @@
 
     if (prt_level>=1) PRINT*, 'thermcell_main apres thermcell_dry'
-    if (prt_level>=10) then
-      write(lunout1, *) 'Dans thermcell_main 1b'
-      write(lunout1, *) 'lmin ', lmin(igout)
-      write(lunout1, *) 'lalim ', lalim(igout)
-      write(lunout1, *) ' ig l alim_star entr_star detr_star f_star '
-      write(lunout1, '(i6,i4,e15.5)') (igout, l, alim_star(igout, l) &
+    if (prt_level>=10) THEN
+      WRITE(lunout1, *) 'Dans thermcell_main 1b'
+      WRITE(lunout1, *) 'lmin ', lmin(igout)
+      WRITE(lunout1, *) 'lalim ', lalim(igout)
+      WRITE(lunout1, *) ' ig l alim_star entr_star detr_star f_star '
+      WRITE(lunout1, '(i6,i4,e15.5)') (igout, l, alim_star(igout, l) &
               , l = 1, lalim(igout) + 4)
     endif
@@ -500,6 +499,5 @@
 
     !CR Appel de la fermeture seche
-    if (iflag_thermals_closure==1) then
-
+    if (iflag_thermals_closure==1) THEN
       CALL thermcell_closure(ngrid, nlay, r_aspect_thermals, ptimestep, rho, &
               zlev, lalim, alim_star_clos, zmax_sec, wmax_sec, f)
@@ -508,6 +506,5 @@
       ! Appel avec les zmax et wmax tenant compte de la condensation
       ! Semble moins bien marcher
-    else if (iflag_thermals_closure==2) then
-
+    else if (iflag_thermals_closure==2) THEN
       CALL thermcell_closure(ngrid, nlay, r_aspect_thermals, ptimestep, rho, &
               zlev, lalim, alim_star, zmax, wmax, f)
@@ -517,7 +514,7 @@
     !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
 
-    if(prt_level>=1)PRINT*, 'thermcell_closure apres thermcell_closure'
-
-    if (tau_thermals>1.) then
+    IF(prt_level>=1)PRINT*, 'thermcell_closure apres thermcell_closure'
+
+    if (tau_thermals>1.) THEN
       lambda = exp(-ptimestep / tau_thermals)
       f0 = (1. - lambda) * f + lambda * f0
@@ -527,5 +524,5 @@
 
     ! Test valable seulement en 1D mais pas genant
-    if (.not. (f0(1)>=0.)) then
+    if (.not. (f0(1)>=0.)) THEN
       abort_message = '.not. (f0(1).ge.0.)'
       CALL abort_physic (modname, abort_message, 1)
@@ -552,5 +549,5 @@
     !------------------------------------------------------------------
 
-    if (tau_thermals>1.) then
+    if (tau_thermals>1.) THEN
       lambda = exp(-ptimestep / tau_thermals)
       fm0 = (1. - lambda) * fm + lambda * fm0
@@ -572,5 +569,5 @@
     do l = 2, nlay
       do ig = 1, ngrid
-        if (zw2(ig, l)>1.e-10) then
+        if (zw2(ig, l)>1.e-10) THEN
           fraca(ig, l) = fm(ig, l) / (rhobarz(ig, l) * zw2(ig, l))
         else
@@ -635,5 +632,5 @@
       DO  ll=1,nlay
         DO ig=1,ngrid
-          if (iso_eau.gt.0) then
+          if (iso_eau.gt.0) THEN
               CALL iso_verif_egalite(xtpo(iso_eau,ig,ll), &
             p_o(ig,ll),'thermcell_main 594')
@@ -641,5 +638,5 @@
             pdoadj(ig,ll),'thermcell_main 596')
           endif
-          if (iso_HDO.gt.0) then
+          if (iso_HDO.gt.0) THEN
               CALL iso_verif_aberrant_encadre(xtpo(iso_hdo,ig,ll) &
              /p_o(ig,ll),'thermcell_main 610')
@@ -647,5 +644,5 @@
         enddo
       enddo !DO  ll=1,nlay 
-      write(*,*) 'thermcell_main 600 tmp: apres thermcell_dq'
+      WRITE(*,*) 'thermcell_main 600 tmp: apres thermcell_dq'
 #endif      
 #endif
@@ -657,6 +654,5 @@
 
       !IM 090508
-      if (dvdq == 0) then
-
+      if (dvdq == 0) THEN
         ! Calcul du transport de V tenant compte d'echange par gradient
         ! de pression horizontal avec l'environnement
@@ -691,5 +687,5 @@
     !calcul de fraca pour les sorties
 
-    if (sorties) then
+    if (sorties) THEN
       if (prt_level>=1) PRINT*, '14a OK convect8'
       ! calcul du niveau de condensation
@@ -709,5 +705,5 @@
         do ig = 1, ngrid
           if ((pcon(ig)<=pplay(ig, k))  &
-                  .and.(pcon(ig)>pplay(ig, k + 1))) then
+                  .and.(pcon(ig)>pplay(ig, k + 1))) THEN
             zcon2(ig) = zlay(ig, k) - (pcon(ig) - pplay(ig, k)) / (RG * rho(ig, k)) / 100.
           endif
@@ -717,10 +713,10 @@
       ierr = 0
       do ig = 1, ngrid
-        if (pcon(ig)<=pplay(ig, nlay)) then
+        if (pcon(ig)<=pplay(ig, nlay)) THEN
           zcon2(ig) = zlay(ig, nlay) - (pcon(ig) - pplay(ig, nlay)) / (RG * rho(ig, nlay)) / 100.
           ierr = 1
         endif
       enddo
-      !      if (ierr==1) then
+      !      if (ierr==1) THEN
       !           abort_message = 'thermcellV0_main: les thermiques vont trop haut '
       !           CALL abort_physic (modname,abort_message,1)
@@ -730,5 +726,5 @@
       do k = nlay, 1, -1
         do ig = 1, ngrid
-          if (zqla(ig, k)>1e-10) then
+          if (zqla(ig, k)>1e-10) THEN
             nivcon(ig) = k
             zcon(ig) = zlev(ig, k)
@@ -749,5 +745,5 @@
       enddo
       if (prt_level>=1) PRINT*, '14d OK convect8'
-      if (prt_level>=10)write(lunout, *)                                &
+      if (prt_level>=10)WRITE(lunout, *)                                &
               'WARNING thermcell_main wth2=0. si zw2 > 1.e-10'
       do l = 1, nlay
@@ -757,5 +753,5 @@
 
           thetath2(ig, l) = zf2 * (ztla(ig, l) - zthl(ig, l))**2
-          if(zw2(ig, l)>1.e-10) then
+          IF(zw2(ig, l)>1.e-10) THEN
             wth2(ig, l) = zf2 * (zw2(ig, l))**2
           else
@@ -786,5 +782,5 @@
       do l = 1, nlay
         do ig = 1, ngrid
-          if (l<=lalim(ig)) then
+          if (l<=lalim(ig)) THEN
             var = var + alim_star(ig, l) * zqta(ig, l) * 1000.
           endif
@@ -796,5 +792,5 @@
       do l = 1, nlay
         do ig = 1, ngrid
-          if (l<=lalim(ig)) then
+          if (l<=lalim(ig)) THEN
             zf = fraca(ig, l)
             zf2 = zf / (1. - zf)
@@ -843,15 +839,15 @@
     !  test sur la hauteur des thermiques ...
     do i = 1, ngrid
-      !IMtemp           if (pplay(i,long(i)).lt.seuil*pplev(i,1)) then
-      if (prt_level>=10) then
+      !IMtemp           if (pplay(i,long(i)).lt.seuil*pplev(i,1)) THEN
+      if (prt_level>=10) THEN
         PRINT*, 'WARNING ', comment, ' au point ', i, ' K= ', long(i)
         PRINT*, '  K  P(MB)  THV(K)     Qenv(g/kg)THVA        QLA(g/kg)   F*        W2'
         do k = 1, nlay
-          write(6, '(i3,7f10.3)') k, pplay(i, k), ztv(i, k), 1000 * p_o(i, k), ztva(i, k), 1000 * zqla(i, k), f_star(i, k), zw2(i, k)
+          WRITE(6, '(i3,7f10.3)') k, pplay(i, k), ztv(i, k), 1000 * p_o(i, k), ztva(i, k), 1000 * zqla(i, k), f_star(i, k), zw2(i, k)
         enddo
       endif
     enddo
 
-    return
+    RETURN
   end
 
@@ -927,9 +923,9 @@
     !!!
 
-    if (1==1) then
+    if (1==1) THEN
       do k = 2, nlay
         do ig = 1, ngrid
           if ((fm(ig, k + 1) + detr(ig, k)) * ptimestep>  &
-                  1.e-5 * masse(ig, k)) then
+                  1.e-5 * masse(ig, k)) THEN
             qa(ig, k) = (fm(ig, k) * qa(ig, k - 1) + entr(ig, k) * q(ig, k))  &
                     / (fm(ig, k + 1) + detr(ig, k))
@@ -937,8 +933,8 @@
             qa(ig, k) = q(ig, k)
           endif
-          if (qa(ig, k)<0.) then
+          if (qa(ig, k)<0.) THEN
             !               PRINT*,'qa<0!!!'
           endif
-          if (q(ig, k)<0.) then
+          if (q(ig, k)<0.) THEN
             !               PRINT*,'q<0!!!'
           endif
@@ -951,5 +947,5 @@
         do ig = 1, ngrid
           wqd(ig, k) = fm(ig, k) * q(ig, k)
-          if (wqd(ig, k)<0.) then
+          if (wqd(ig, k)<0.) THEN
             !               PRINT*,'wqd<0!!!'
           endif
@@ -974,5 +970,5 @@
     therm_tke_max(:, :) = q(:, :)
 
-    return
+    RETURN
     !!! fin nrlmd le 10/04/2012
   end
